Bug 1064895 - [ patch ] - enable running of test suite through python-coverage
[ patch ] - enable running of test suite through python-coverage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-blivet (Show other bugs)
7.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: mulhern
Release Test Team
:
Depends On: 1065422 1065431 1065437 1065443
Blocks: 782468
  Show dependency treegraph
 
Reported: 2014-02-13 08:54 EST by Alexander Todorov
Modified: 2014-06-18 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-blivet-0.18.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:04:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blivet + coverage patch (617 bytes, text/plain)
2014-02-13 08:54 EST, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2014-02-13 08:54:48 EST
Created attachment 862789 [details]
blivet + coverage patch

Patch tested on master and f20-branch. Please push to Rawhide as well.
Comment 2 mulhern 2014-02-14 11:15:37 EST
I'm working with other test suite issues so think I should pick this one up, too.
Comment 3 mulhern 2014-02-18 15:21:24 EST
acked.
Comment 4 mulhern 2014-02-19 10:28:21 EST
Fixed In Version: python-blivet-0.18.26-1
Comment 6 Alexander Todorov 2014-03-19 10:45:08 EDT
# make coverage
...
======================================================================
ERROR: udev_test (unittest.loader.ModuleImportFailure)
----------------------------------------------------------------------
ImportError: Failed to import test module: udev_test
Traceback (most recent call last):
  File "/usr/lib64/python2.7/unittest/loader.py", line 252, in _find_tests
    module = self._get_module_from_name(name)
  File "/usr/lib64/python2.7/unittest/loader.py", line 230, in _get_module_from_name
    __import__(name)
  File "/root/blivet-0.18.33/tests/udev_test.py", line 4, in <module>
    import mock
ImportError: No module named mock



# coverage report
Name                               Stmts   Miss Branch BrMiss  Cover
--------------------------------------------------------------------
blivet/__init__                     1757   1734    938    936     1%
tests/action_test                    450    448     14     14     1%
tests/formats_test/__init__            0      0      0      0   100%
tests/formats_test/labeling_test      95     92     20     20     3%
tests/formats_test/selinux_test       62     57      2      2     8%
tests/partitioning_test               55     53      2      2     4%
tests/sanity_check_test               21     19      2      2     9%
tests/size_test                       70     68     14     14     2%
tests/tsort_test                      37     35      6      6     5%
tests/udev_test                      101     99     12     12     2%
--------------------------------------------------------------------
TOTAL                               2648   2605   1010   1008     1%




The particular issue of having a make target to execute the test suite under python-coverage has been verified with python-blivet-0.18.33-1.el7. However python-mock is not available in the RHEL 7 repos. I will open another bug for that.
Comment 7 Ludek Smid 2014-06-13 06:04:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.